<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: tb Enum Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">tb Enum Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tb:</div>
<div class="dyncontent">
<div class="center"><img src="enumtb__inherit__graph.png" border="0" usemap="#tb_inherit__map" alt="Inheritance graph"/></div>
<map name="tb_inherit__map" id="tb_inherit__map">
<area shape="rect" id="node2" href="enumloopback__adapter.html" title="loopback_adapter(156)" alt="" coords="699,56,868,83"/><area shape="rect" id="node3" href="enumloopback__adapter__fifo.html" title="loopback_adapter_fifo(2)" alt="" coords="471,5,651,32"/><area shape="rect" id="node29" href="enumloopback__adapter.html" title="loopback_adapter" alt="" coords="716,107,851,133"/><area shape="rect" id="node4" href="enumloopback__adapter__fifo.html" title="loopback_adapter_fifo" alt="" coords="479,56,642,83"/><area shape="rect" id="node5" href="classtse__rgmii.html" title="tse_rgmii" alt="" coords="744,157,823,184"/><area shape="rect" id="node6" href="enumtse__rgmii__0002.html" title="tse_rgmii_0002(2)" alt="" coords="492,107,629,133"/><area shape="rect" id="node7" href="enumaltera__reset__controller.html" title="altera_reset_controller" alt="" coords="249,157,414,184"/><area shape="rect" id="node27" href="enumWIB__TSE__0002.html" title="WIB_TSE_0002" alt="" coords="499,157,622,184"/><area shape="rect" id="node8" href="enumaltera__reset__synchronizer.html" title="altera_reset_synchronizer" alt="" coords="5,183,192,209"/><area shape="rect" id="node28" href="enumaltera__reset__controller.html" title="altera_reset_controller(2)" alt="" coords="240,208,423,235"/><area shape="rect" id="node9" href="enumtop__mdio__slave.html" title="top_mdio_slave(3)" alt="" coords="714,284,853,311"/><area shape="rect" id="node10" href="enummdio__slave.html" title="mdio_slave(2)" alt="" coords="505,259,616,285"/><area shape="rect" id="node30" href="enumtop__mdio__slave.html" title="top_mdio_slave" alt="" coords="723,335,844,361"/><area shape="rect" id="node11" href="enummdio__reg__sim.html" title="mdio_reg_sim(2)" alt="" coords="497,309,625,336"/><area shape="rect" id="node12" href="enummdio__slave.html" title="mdio_slave" alt="" coords="514,360,607,387"/><area shape="rect" id="node13" href="enummdio__reg__sim.html" title="mdio_reg_sim" alt="" coords="505,411,616,437"/><area shape="rect" id="node14" href="enumethgenerator.html" title="ethgenerator(3)" alt="" coords="722,385,845,412"/><area shape="rect" id="node15" href="enumethgenerator2.html" title="ethgenerator2(2)" alt="" coords="718,511,849,537"/><area shape="rect" id="node16" href="enumethgenerator.html" title="ethgenerator" alt="" coords="509,536,613,563"/><area shape="rect" id="node20" href="enumtop__ethgenerator__8.html" title="top_ethgenerator_8(2)" alt="" coords="700,612,867,639"/><area shape="rect" id="node31" href="enumtop__ethgenerator__8.html" title="top_ethgenerator_8" alt="" coords="709,663,857,689"/><area shape="rect" id="node32" href="enumethgenerator2.html" title="ethgenerator2" alt="" coords="727,561,839,588"/><area shape="rect" id="node17" href="classETHMONITOR.html" title="ETHMONITOR(3)" alt="" coords="716,713,851,740"/><area shape="rect" id="node18" href="enumethmonitor2.html" title="ethmonitor2(2)" alt="" coords="726,839,841,865"/><area shape="rect" id="node19" href="enumethmonitor.html" title="ethmonitor" alt="" coords="516,839,605,865"/><area shape="rect" id="node33" href="enumethmonitor2.html" title="ethmonitor2" alt="" coords="735,889,832,916"/><area shape="rect" id="node21" href="enumtiming__adapter__8.html" title="timing_adapter_8(2)" alt="" coords="485,637,636,664"/><area shape="rect" id="node22" href="enumtiming__adapter__fifo__8.html" title="timing_adapter_fifo_8(2)" alt="" coords="243,637,420,664"/><area shape="rect" id="node25" href="enumtiming__adapter__8.html" title="timing_adapter_8" alt="" coords="495,688,627,715"/><area shape="rect" id="node23" href="enumtiming__adapter__fifo__8.html" title="timing_adapter_fifo_8" alt="" coords="252,688,411,715"/><area shape="rect" id="node24" href="enumethgenerator.html" title="ethgenerator(2)" alt="" coords="499,587,622,613"/><area shape="rect" id="node26" href="classWIB__TSE.html" title="WIB_TSE" alt="" coords="742,208,825,235"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="enumtb-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtb_1_1a.html">a</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:aa8c4e25998323a84db5b1fa701b92fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8c4e25998323a84db5b1fa701b92fcb"></a>
<a class="el" href="enumtb.html#aa8c4e25998323a84db5b1fa701b92fcb">textio</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adf63aaa4f4eaf7b1eee108c871760b2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf63aaa4f4eaf7b1eee108c871760b2d"></a>
<a class="el" href="enumtb.html#adf63aaa4f4eaf7b1eee108c871760b2d">altera_ethmodels_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classaltera__ethmodels__pack.html"> &lt;altera_ethmodels_pack&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a11f3747e31d023ac12633e87832a7fd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11f3747e31d023ac12633e87832a7fd1"></a>
<a class="el" href="enumtb.html#a11f3747e31d023ac12633e87832a7fd1">MCAST_TABLEN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a367bd8a001c16c36c00bf564672f2527"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a367bd8a001c16c36c00bf564672f2527"></a>
<a class="el" href="enumtb.html#a367bd8a001c16c36c00bf564672f2527">MCAST_ADDRESSLIST</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">mctable</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 887654332211 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 886644352611 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; ABCDEF012313 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 92456545ab15 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 432680010217 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; adb589215439 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; ffeacfe3434B &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; ffccddaa3123 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; adb358415439 &quot;</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7cee2c5e1588bc7cd980794520974053"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7cee2c5e1588bc7cd980794520974053"></a>
<a class="el" href="enumtb.html#a7cee2c5e1588bc7cd980794520974053">ENABLE_MAGIC_DETECT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d8ea476cf36ecaae5909d2948b29ed4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d8ea476cf36ecaae5909d2948b29ed4"></a>
<a class="el" href="enumtb.html#a9d8ea476cf36ecaae5909d2948b29ed4">ENABLE_MDIO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ac07357e98564569dcd466e428d38e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ac07357e98564569dcd466e428d38e3"></a>
<a class="el" href="enumtb.html#a6ac07357e98564569dcd466e428d38e3">ENABLE_SUP_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a01883be64ce122abc63797afa3b5ae18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a01883be64ce122abc63797afa3b5ae18"></a>
<a class="el" href="enumtb.html#a01883be64ce122abc63797afa3b5ae18">CORE_VERSION</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4096</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae88c1132163987fd9012dc5be8659ac1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae88c1132163987fd9012dc5be8659ac1"></a>
<a class="el" href="enumtb.html#ae88c1132163987fd9012dc5be8659ac1">MDIO_CLK_DIV</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">40</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a05649b732c0e96ed9baf9e36322e83a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05649b732c0e96ed9baf9e36322e83a1"></a>
<a class="el" href="enumtb.html#a05649b732c0e96ed9baf9e36322e83a1">ENA_HASH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b52f6e7426817a31d3bbed5c9f2ccc5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b52f6e7426817a31d3bbed5c9f2ccc5"></a>
<a class="el" href="enumtb.html#a8b52f6e7426817a31d3bbed5c9f2ccc5">STAT_CNT_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7dc37a89a55402708db3d27ba2d4ea66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dc37a89a55402708db3d27ba2d4ea66"></a>
<a class="el" href="enumtb.html#a7dc37a89a55402708db3d27ba2d4ea66">ENABLE_HD_LOGIC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f6812137c1eb4780a8b5e5cc15e01b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f6812137c1eb4780a8b5e5cc15e01b0"></a>
<a class="el" href="enumtb.html#a5f6812137c1eb4780a8b5e5cc15e01b0">REDUCED_INTERFACE_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a20ff3efe73827147af5c5539fca2c9f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20ff3efe73827147af5c5539fca2c9f9"></a>
<a class="el" href="enumtb.html#a20ff3efe73827147af5c5539fca2c9f9">ENABLE_GMII_LOOPBACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa61462b0fc228dc4867708bd1eaef8f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa61462b0fc228dc4867708bd1eaef8f7"></a>
<a class="el" href="enumtb.html#aa61462b0fc228dc4867708bd1eaef8f7">ENABLE_MAC_FLOW_CTRL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b32d9da8b1a00b7ad9dccf3717943d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b32d9da8b1a00b7ad9dccf3717943d9"></a>
<a class="el" href="enumtb.html#a8b32d9da8b1a00b7ad9dccf3717943d9">ENABLE_MAC_RX_VLAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4dd1da737fee3b155bc06a9f33c4cddd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4dd1da737fee3b155bc06a9f33c4cddd"></a>
<a class="el" href="enumtb.html#a4dd1da737fee3b155bc06a9f33c4cddd">ENABLE_MAC_TX_VLAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3dbd129b75cebffea82c5a824cf9eaae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dbd129b75cebffea82c5a824cf9eaae"></a>
<a class="el" href="enumtb.html#a3dbd129b75cebffea82c5a824cf9eaae">SYNCHRONIZER_DEPTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2605e1e39822ed32eebc86db74a38c13"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2605e1e39822ed32eebc86db74a38c13"></a>
<a class="el" href="enumtb.html#a2605e1e39822ed32eebc86db74a38c13">ENABLE_EXTENDED_STAT_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae64cee934dbb5c94aea91a4ff880e2b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae64cee934dbb5c94aea91a4ff880e2b5"></a>
<a class="el" href="enumtb.html#ae64cee934dbb5c94aea91a4ff880e2b5">ENABLE_MAC_TXADDR_SET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5aa94d0d470efe53a014d9708a85a915"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5aa94d0d470efe53a014d9708a85a915"></a>
<a class="el" href="enumtb.html#a5aa94d0d470efe53a014d9708a85a915">CRC32GENDELAY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">6</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad8646941f2154e12db8dcec599fc336a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8646941f2154e12db8dcec599fc336a"></a>
<a class="el" href="enumtb.html#ad8646941f2154e12db8dcec599fc336a">CRC32S1L2_EXTERN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4353f585156c3cd72cea389aeb52cc0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4353f585156c3cd72cea389aeb52cc0a"></a>
<a class="el" href="enumtb.html#a4353f585156c3cd72cea389aeb52cc0a">CRC32DWIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac32eca2cf04112609b146657fe784d82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac32eca2cf04112609b146657fe784d82"></a>
<a class="el" href="enumtb.html#ac32eca2cf04112609b146657fe784d82">CRC32CHECK16BIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab89dc2766dfde22e53f515479faff9d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab89dc2766dfde22e53f515479faff9d8"></a>
<a class="el" href="enumtb.html#ab89dc2766dfde22e53f515479faff9d8">CUST_VERSION</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4fda1c41758b2665ee5ecfe91daa20c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4fda1c41758b2665ee5ecfe91daa20c"></a>
<a class="el" href="enumtb.html#ad4fda1c41758b2665ee5ecfe91daa20c">RESET_LEVEL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a251a248d7f36404b61603df7d22b1197"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a251a248d7f36404b61603df7d22b1197"></a>
<a class="el" href="enumtb.html#a251a248d7f36404b61603df7d22b1197">USE_SYNC_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a498e6e0728ab8a83fb2b2b3447b4dfc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a498e6e0728ab8a83fb2b2b3447b4dfc7"></a>
<a class="el" href="enumtb.html#a498e6e0728ab8a83fb2b2b3447b4dfc7">TSTAMP_FP_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af9aa6e97422b24a4f9c2358766b8ae33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9aa6e97422b24a4f9c2358766b8ae33"></a>
<a class="el" href="enumtb.html#af9aa6e97422b24a4f9c2358766b8ae33">EG_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a697bc2d3a8e83475c9e369f317ffd24d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a697bc2d3a8e83475c9e369f317ffd24d"></a>
<a class="el" href="enumtb.html#a697bc2d3a8e83475c9e369f317ffd24d">ING_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a93c659cf70b88b3da32e1d828545555e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93c659cf70b88b3da32e1d828545555e"></a>
<a class="el" href="enumtb.html#a93c659cf70b88b3da32e1d828545555e">ENABLE_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a771e4a58807774f908ecf0f25e883893"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a771e4a58807774f908ecf0f25e883893"></a>
<a class="el" href="enumtb.html#a771e4a58807774f908ecf0f25e883893">ENABLE_MACLITE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a786938498dffe968b8409b77f16e4886"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a786938498dffe968b8409b77f16e4886"></a>
<a class="el" href="enumtb.html#a786938498dffe968b8409b77f16e4886">MACLITE_GIGE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c30c12a8bd0efcb3ddcaac611b40574"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c30c12a8bd0efcb3ddcaac611b40574"></a>
<a class="el" href="enumtb.html#a1c30c12a8bd0efcb3ddcaac611b40574">ENABLE_SHIFT16</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad0075d2c2943b00e4eca2c5eb84b332c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0075d2c2943b00e4eca2c5eb84b332c"></a>
<a class="el" href="enumtb.html#ad0075d2c2943b00e4eca2c5eb84b332c">RAM_TYPE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STRING</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; AUTO &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4bae7580fcef7e0e41e8de222dbdc18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4bae7580fcef7e0e41e8de222dbdc18"></a>
<a class="el" href="enumtb.html#ac4bae7580fcef7e0e41e8de222dbdc18">INSERT_TA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a93c5fa3ad354b19f1bfa160d11e6ebe7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93c5fa3ad354b19f1bfa160d11e6ebe7"></a>
<a class="el" href="enumtb.html#a93c5fa3ad354b19f1bfa160d11e6ebe7">MAX_CHANNELS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaa3427391500deadbd59595d3a893439"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa3427391500deadbd59595d3a893439"></a>
<a class="el" href="enumtb.html#aaa3427391500deadbd59595d3a893439">REG_ADDR_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad94d4810aa0a5d2b23e7dedf739817f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad94d4810aa0a5d2b23e7dedf739817f1"></a>
<a class="el" href="enumtb.html#ad94d4810aa0a5d2b23e7dedf739817f1">RX_AFULL_CHANNEL_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5a8fb45b0f09943cbde0a96fe5c4361"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5a8fb45b0f09943cbde0a96fe5c4361"></a>
<a class="el" href="enumtb.html#ad5a8fb45b0f09943cbde0a96fe5c4361">ENABLE_MAGIC_DETECT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a06ba19d34240b1490c1075a470476600"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06ba19d34240b1490c1075a470476600"></a>
<a class="el" href="enumtb.html#a06ba19d34240b1490c1075a470476600">ENABLE_SUP_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad00378b7f51fa6fa7413254fc4ad251b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad00378b7f51fa6fa7413254fc4ad251b"></a>
<a class="el" href="enumtb.html#ad00378b7f51fa6fa7413254fc4ad251b">REDUCED_INTERFACE_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2f9c50d2660440b692a5aa1dc1fa740"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2f9c50d2660440b692a5aa1dc1fa740"></a>
<a class="el" href="enumtb.html#ae2f9c50d2660440b692a5aa1dc1fa740">ENABLE_MAC_FLOW_CTRL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb6c598ef1d6907b7b61876a6ca9fd0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb6c598ef1d6907b7b61876a6ca9fd0d"></a>
<a class="el" href="enumtb.html#adb6c598ef1d6907b7b61876a6ca9fd0d">ENABLE_MAC_RX_VLAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16f8bc649907c22698fc9afc280f4be8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16f8bc649907c22698fc9afc280f4be8"></a>
<a class="el" href="enumtb.html#a16f8bc649907c22698fc9afc280f4be8">ENABLE_MAC_TX_VLAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a84e129d0c0bbc5a43a340046b88ac353"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84e129d0c0bbc5a43a340046b88ac353"></a>
<a class="el" href="enumtb.html#a84e129d0c0bbc5a43a340046b88ac353">ENABLE_EXTENDED_STAT_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a199f63b828f679cdfa49917a5fd49559"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a199f63b828f679cdfa49917a5fd49559"></a>
<a class="el" href="enumtb.html#a199f63b828f679cdfa49917a5fd49559">EG_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">14</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9a483029316d20bb3376f9a9e78a13a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9a483029316d20bb3376f9a9e78a13a"></a>
<a class="el" href="enumtb.html#ac9a483029316d20bb3376f9a9e78a13a">ING_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">13</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ba89b0c547b14c0b713138c01b94a1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ba89b0c547b14c0b713138c01b94a1f"></a>
<a class="el" href="enumtb.html#a6ba89b0c547b14c0b713138c01b94a1f">PHY_IDENTIFIER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f9402d830608010c9255e1735c33ce9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f9402d830608010c9255e1735c33ce9"></a>
<a class="el" href="enumtb.html#a7f9402d830608010c9255e1735c33ce9">DEV_VERSION</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4096</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a128bd82b6f27cd93cf64723ae7fa7742"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a128bd82b6f27cd93cf64723ae7fa7742"></a>
<a class="el" href="enumtb.html#a128bd82b6f27cd93cf64723ae7fa7742">ENABLE_SGMII</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac5b647e7c47001b1abeca61c59064609"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5b647e7c47001b1abeca61c59064609"></a>
<a class="el" href="enumtb.html#ac5b647e7c47001b1abeca61c59064609">EXPORT_PWRDN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9990aeaf756e22dee85a961016e6bc3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9990aeaf756e22dee85a961016e6bc3"></a>
<a class="el" href="enumtb.html#ac9990aeaf756e22dee85a961016e6bc3">ENABLE_ALT_RECONFIG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a67e75266594dda500a5cfe24327ea011"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67e75266594dda500a5cfe24327ea011"></a>
<a class="el" href="enumtb.html#a67e75266594dda500a5cfe24327ea011">STARTING_CHANNEL_NUMBER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af709e4658abe4fb03384ed6357e2b415"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af709e4658abe4fb03384ed6357e2b415"></a>
<a class="el" href="enumtb.html#af709e4658abe4fb03384ed6357e2b415">DEVICE_FAMILY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STRING</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; ARRIAV &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a628576549692d834dc83803e1343e1f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a628576549692d834dc83803e1343e1f6"></a>
<a class="el" href="enumtb.html#a628576549692d834dc83803e1343e1f6">RECONFIG_TOGXB_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">140</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92639f787e676e122ff677bafeec9d69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92639f787e676e122ff677bafeec9d69"></a>
<a class="el" href="enumtb.html#a92639f787e676e122ff677bafeec9d69">RECONFIG_FROMGXB_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">92</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a03dab60148bdaac7f386965843512d4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a03dab60148bdaac7f386965843512d4d"></a>
<a class="el" href="enumtb.html#a03dab60148bdaac7f386965843512d4d">reconfig_to_width</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">get_reconfig_to_width</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DEVICE_FAMILY</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a189fc42013131bb60a058a307527994d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a189fc42013131bb60a058a307527994d"></a>
<a class="el" href="enumtb.html#a189fc42013131bb60a058a307527994d">reconfig_from_width</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">get_reconfig_from_width</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">DEVICE_FAMILY</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:ab3207055a0aced58284b5b1a4b511169"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3207055a0aced58284b5b1a4b511169"></a>
<b><a class="el" href="enumtb.html#ab3207055a0aced58284b5b1a4b511169">TARGET_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">GEN</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a24c02e32a0632ef221855805510bc8ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24c02e32a0632ef221855805510bc8ae"></a>
<b><a class="el" href="enumtb.html#a24c02e32a0632ef221855805510bc8ae">mctable</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">MCAST_TABLEN</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aea71682f86d51c5ac408bf1293fcef0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aea71682f86d51c5ac408bf1293fcef0d"></a>
<a class="el" href="enumtb.html#aea71682f86d51c5ac408bf1293fcef0d">LOG_FILE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">string</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; sim.log &quot;</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4738f400c7569926216200123b4afdd4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4738f400c7569926216200123b4afdd4"></a>
<a class="el" href="enumtb.html#a4738f400c7569926216200123b4afdd4">ETH_MODE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1000</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ab99573cce1433c1dc1878c304304be69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab99573cce1433c1dc1878c304304be69"></a>
<a class="el" href="enumtb.html#ab99573cce1433c1dc1878c304304be69">HD_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa7e7fc21c7a7e0c325f9914f62922c3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7e7fc21c7a7e0c325f9914f62922c3a"></a>
<a class="el" href="enumtb.html#aa7e7fc21c7a7e0c325f9914f62922c3a">TB_RXFRAMES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a9f58c8863ee47ad484af62d653717055"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f58c8863ee47ad484af62d653717055"></a>
<a class="el" href="enumtb.html#a9f58c8863ee47ad484af62d653717055">TB_RXIPG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a025168388bd2aea7270c60c70180d5e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a025168388bd2aea7270c60c70180d5e3"></a>
<a class="el" href="enumtb.html#a025168388bd2aea7270c60c70180d5e3">TB_TXFRAMES</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a64b6894ab44b09e89f28b544b6c957d7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64b6894ab44b09e89f28b544b6c957d7"></a>
<a class="el" href="enumtb.html#a64b6894ab44b09e89f28b544b6c957d7">TB_PAUSECONTROL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a92f4d326129dc9dc9d4979684acc3a8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92f4d326129dc9dc9d4979684acc3a8f"></a>
<a class="el" href="enumtb.html#a92f4d326129dc9dc9d4979684acc3a8f">TB_LENSTART</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">100</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a96b2df73ca0181e94853dde264f8392a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96b2df73ca0181e94853dde264f8392a"></a>
<a class="el" href="enumtb.html#a96b2df73ca0181e94853dde264f8392a">TB_LENSTEP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a8a69bf9df321abab61ff2f0ee6766941"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a69bf9df321abab61ff2f0ee6766941"></a>
<a class="el" href="enumtb.html#a8a69bf9df321abab61ff2f0ee6766941">TB_LENMAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1500</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a37e6772e662d55c9773793bfaf68320a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37e6772e662d55c9773793bfaf68320a"></a>
<a class="el" href="enumtb.html#a37e6772e662d55c9773793bfaf68320a">TB_ENA_PADDING</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ab2ee9f6bd4a19c6aa17bf448e969dcf2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2ee9f6bd4a19c6aa17bf448e969dcf2"></a>
<a class="el" href="enumtb.html#ab2ee9f6bd4a19c6aa17bf448e969dcf2">TB_ENA_VLAN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a695fd7b6e354dbc82ef8257dc95f4be2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a695fd7b6e354dbc82ef8257dc95f4be2"></a>
<a class="el" href="enumtb.html#a695fd7b6e354dbc82ef8257dc95f4be2">TB_STOPREAD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a5fcb27dbcdece2e2c8967f488fd7d3e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fcb27dbcdece2e2c8967f488fd7d3e6"></a>
<a class="el" href="enumtb.html#a5fcb27dbcdece2e2c8967f488fd7d3e6">TB_HOLDREAD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1000</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af26f5c17b83f0027a8152146b6422ede"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af26f5c17b83f0027a8152146b6422ede"></a>
<a class="el" href="enumtb.html#af26f5c17b83f0027a8152146b6422ede">TB_TRIGGERXOFF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a861f050b801c56db581a4dcc03898a64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a861f050b801c56db581a4dcc03898a64"></a>
<a class="el" href="enumtb.html#a861f050b801c56db581a4dcc03898a64">TB_TRIGGERXON</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a992df684502783a8aa3ddcb9f481446a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a992df684502783a8aa3ddcb9f481446a"></a>
<a class="el" href="enumtb.html#a992df684502783a8aa3ddcb9f481446a">TB_MACLENMAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1518</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af43319243e4b536bf216c1c62140bc05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af43319243e4b536bf216c1c62140bc05"></a>
<a class="el" href="enumtb.html#af43319243e4b536bf216c1c62140bc05">TB_MACPAUSEQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a00f2040a3e9a65b136577a293ed473af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00f2040a3e9a65b136577a293ed473af"></a>
<a class="el" href="enumtb.html#a00f2040a3e9a65b136577a293ed473af">TB_MACIGNORE_PAUSE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af205922a29e95e8953ffd8795a992177"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af205922a29e95e8953ffd8795a992177"></a>
<a class="el" href="enumtb.html#af205922a29e95e8953ffd8795a992177">TB_MACFWD_PAUSE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a292e711d4297d578ed2c9884da0529d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a292e711d4297d578ed2c9884da0529d3"></a>
<a class="el" href="enumtb.html#a292e711d4297d578ed2c9884da0529d3">TB_MACFWDCRC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a37390b92f5225767d4149d7771511295"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37390b92f5225767d4149d7771511295"></a>
<a class="el" href="enumtb.html#a37390b92f5225767d4149d7771511295">TB_MACINSERT_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a2d675202a8bb4e7f72efd6bbfca87066"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d675202a8bb4e7f72efd6bbfca87066"></a>
<a class="el" href="enumtb.html#a2d675202a8bb4e7f72efd6bbfca87066">TB_MACRX_ERR_DISC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a18666868b1d2becb5a306451ef6262f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18666868b1d2becb5a306451ef6262f0"></a>
<a class="el" href="enumtb.html#a18666868b1d2becb5a306451ef6262f0">TB_ADDR_SEL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af68792c1e2e120959cac6d569951afa4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af68792c1e2e120959cac6d569951afa4"></a>
<a class="el" href="enumtb.html#af68792c1e2e120959cac6d569951afa4">TB_MACPADEN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a8ee5fefd8e0986de044c32cc78253273"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ee5fefd8e0986de044c32cc78253273"></a>
<a class="el" href="enumtb.html#a8ee5fefd8e0986de044c32cc78253273">TB_MODPAUSEQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a57c632e77c612125a40abff8512aae98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57c632e77c612125a40abff8512aae98"></a>
<a class="el" href="enumtb.html#a57c632e77c612125a40abff8512aae98">TB_ENA_VAR_IPG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae3f4cc9cf1728196fdae44c63de708a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae3f4cc9cf1728196fdae44c63de708a9"></a>
<a class="el" href="enumtb.html#ae3f4cc9cf1728196fdae44c63de708a9">RX_FIFO_SECTION_EMPTY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a48d509db58c42ced7c23981ac8434f54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48d509db58c42ced7c23981ac8434f54"></a>
<a class="el" href="enumtb.html#a48d509db58c42ced7c23981ac8434f54">RX_FIFO_SECTION_FULL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa9576b629698d1ab7b6762a6f39e4f9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9576b629698d1ab7b6762a6f39e4f9a"></a>
<a class="el" href="enumtb.html#aa9576b629698d1ab7b6762a6f39e4f9a">TX_FIFO_SECTION_EMPTY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae9913eedc53ecf433554304aa2e19bb4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9913eedc53ecf433554304aa2e19bb4"></a>
<a class="el" href="enumtb.html#ae9913eedc53ecf433554304aa2e19bb4">TX_FIFO_SECTION_FULL</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a02d8593570cf4b4a0ca89f7fb4f9df78"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02d8593570cf4b4a0ca89f7fb4f9df78"></a>
<a class="el" href="enumtb.html#a02d8593570cf4b4a0ca89f7fb4f9df78">RX_FIFO_AE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a491420272afd12ad1628c1f3abf19660"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a491420272afd12ad1628c1f3abf19660"></a>
<a class="el" href="enumtb.html#a491420272afd12ad1628c1f3abf19660">RX_FIFO_AF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4414a516eac23a6dc8e70ebaa7455996"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4414a516eac23a6dc8e70ebaa7455996"></a>
<a class="el" href="enumtb.html#a4414a516eac23a6dc8e70ebaa7455996">TX_FIFO_AE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a9afd9f3f708d013539046de9cf85e54e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9afd9f3f708d013539046de9cf85e54e"></a>
<a class="el" href="enumtb.html#a9afd9f3f708d013539046de9cf85e54e">TX_FIFO_AF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a8f509e6a73ce6a983ee133a1d974f2ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f509e6a73ce6a983ee133a1d974f2ff"></a>
<a class="el" href="enumtb.html#a8f509e6a73ce6a983ee133a1d974f2ff">RX_COL_FRM</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:abfd3bdb51f37b678f81e67208d85a292"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfd3bdb51f37b678f81e67208d85a292"></a>
<a class="el" href="enumtb.html#abfd3bdb51f37b678f81e67208d85a292">RX_COL_GEN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a252d35237aa68afa50e3620bcdf2acdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a252d35237aa68afa50e3620bcdf2acdb"></a>
<a class="el" href="enumtb.html#a252d35237aa68afa50e3620bcdf2acdb">TX_COL_FRM</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4dd8b278a1e03ddb936b5284dc099e9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4dd8b278a1e03ddb936b5284dc099e9e"></a>
<a class="el" href="enumtb.html#a4dd8b278a1e03ddb936b5284dc099e9e">TX_COL_GEN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a9c561daf07d010403607bf609d029e2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c561daf07d010403607bf609d029e2e"></a>
<a class="el" href="enumtb.html#a9c561daf07d010403607bf609d029e2e">TX_COL_NUM</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a31629395bee0ae7be2a5043be80196b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31629395bee0ae7be2a5043be80196b9"></a>
<a class="el" href="enumtb.html#a31629395bee0ae7be2a5043be80196b9">TX_COL_DELAY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa5129d21d1fedd1994e7b372f4e07ef3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5129d21d1fedd1994e7b372f4e07ef3"></a>
<a class="el" href="enumtb.html#aa5129d21d1fedd1994e7b372f4e07ef3">TB_MDIO_ADDR0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a0498334003ae77d2bff833941b0e5128"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0498334003ae77d2bff833941b0e5128"></a>
<a class="el" href="enumtb.html#a0498334003ae77d2bff833941b0e5128">TB_MDIO_ADDR1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a0fa0df74c0198d58a2144d382b07ffc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fa0df74c0198d58a2144d382b07ffc9"></a>
<a class="el" href="enumtb.html#a0fa0df74c0198d58a2144d382b07ffc9">TB_PROMIS_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">true</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a04cbb7a2fac8b24ba4b7f0880b3f9767"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04cbb7a2fac8b24ba4b7f0880b3f9767"></a>
<a class="el" href="enumtb.html#a04cbb7a2fac8b24ba4b7f0880b3f9767">PERIOD_HASHCLK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a7dcf01050e44a64d828697452b6164d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dcf01050e44a64d828697452b6164d1"></a>
<a class="el" href="enumtb.html#a7dcf01050e44a64d828697452b6164d1">TB_MDIO_SIMULATION</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ab2e3edaa1a6537272395344d21b11cd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2e3edaa1a6537272395344d21b11cd1"></a>
<a class="el" href="enumtb.html#ab2e3edaa1a6537272395344d21b11cd1">TB_ENA_AUTONEG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a06deac44814019f389b74f7689fd0fe5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06deac44814019f389b74f7689fd0fe5"></a>
<a class="el" href="enumtb.html#a06deac44814019f389b74f7689fd0fe5">TB_PCS_BYPASS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a1a1849e873f0f7b72f5dbc900d2af379"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a1849e873f0f7b72f5dbc900d2af379"></a>
<a class="el" href="enumtb.html#a1a1849e873f0f7b72f5dbc900d2af379">TB_IPG_LENGTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a2a17dfbf904e21e68f013d928548f5af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a17dfbf904e21e68f013d928548f5af"></a>
<a class="el" href="enumtb.html#a2a17dfbf904e21e68f013d928548f5af">LOC_HIGH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar">.</span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a08415acee0ca68d4c288783e4e56b5fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08415acee0ca68d4c288783e4e56b5fb"></a>
<a class="el" href="enumtb.html#a08415acee0ca68d4c288783e4e56b5fb">LOC_LOW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar">.</span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a82c63c4da4abbb4156a3a4b18da82277"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82c63c4da4abbb4156a3a4b18da82277"></a>
<a class="el" href="enumtb.html#a82c63c4da4abbb4156a3a4b18da82277">TB_TX_FF_ERR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa28a81d15b412f622294766f5ed152f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa28a81d15b412f622294766f5ed152f6"></a>
<a class="el" href="enumtb.html#aa28a81d15b412f622294766f5ed152f6">ENA_MAGIC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a86fcc7ffcbceafcc0a81f41bfbe123e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86fcc7ffcbceafcc0a81f41bfbe123e2"></a>
<a class="el" href="enumtb.html#a86fcc7ffcbceafcc0a81f41bfbe123e2">ENA_SLEEP_PIN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a8725eae8bde6651c764ce1161c7ad1bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8725eae8bde6651c764ce1161c7ad1bd"></a>
<a class="el" href="enumtb.html#a8725eae8bde6651c764ce1161c7ad1bd">ENA_INVERT_LB</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a8d4cea0d06c57c10e898ca82effdbf64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d4cea0d06c57c10e898ca82effdbf64"></a>
<a class="el" href="enumtb.html#a8d4cea0d06c57c10e898ca82effdbf64">TB_PHYERR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a31642c77959f2b4263b2bcb054539425"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31642c77959f2b4263b2bcb054539425"></a>
<a class="el" href="enumtb.html#a31642c77959f2b4263b2bcb054539425">TB_PCS_LINK_TIMER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">512</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa83397adaee6e101d140270d5d9e8b9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa83397adaee6e101d140270d5d9e8b9c"></a>
<a class="el" href="enumtb.html#aa83397adaee6e101d140270d5d9e8b9c">TB_PARTNER_LINK_TIMER</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">128</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:acc53fa09003c023058d1d98db9ea25ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc53fa09003c023058d1d98db9ea25ed"></a>
<a class="el" href="enumtb.html#acc53fa09003c023058d1d98db9ea25ed">TB_TX_ERR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a31515254a7d8e69398d139dcae518d15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31515254a7d8e69398d139dcae518d15"></a>
<a class="el" href="enumtb.html#a31515254a7d8e69398d139dcae518d15">TB_PARTNER_PS1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af6f26289003f8d8efa69daa52ecf07ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6f26289003f8d8efa69daa52ecf07ef"></a>
<a class="el" href="enumtb.html#af6f26289003f8d8efa69daa52ecf07ef">TB_PARTNER_PS2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ade286cfe9ef2e590b0b913ef80720769"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade286cfe9ef2e590b0b913ef80720769"></a>
<a class="el" href="enumtb.html#ade286cfe9ef2e590b0b913ef80720769">TB_PARTNER_RF1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a2e369e4836420d0e766ffb81453c1dbe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e369e4836420d0e766ffb81453c1dbe"></a>
<a class="el" href="enumtb.html#a2e369e4836420d0e766ffb81453c1dbe">TB_PARTNER_RF2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a9df65791642fe3f6a7109f923b24ca34"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9df65791642fe3f6a7109f923b24ca34"></a>
<a class="el" href="enumtb.html#a9df65791642fe3f6a7109f923b24ca34">TB_PCS_PS1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aab232ad4d63500897b703ae7018dcfa6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab232ad4d63500897b703ae7018dcfa6"></a>
<a class="el" href="enumtb.html#aab232ad4d63500897b703ae7018dcfa6">TB_PCS_PS2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a3011cca5120a3684f55666d755f0c632"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3011cca5120a3684f55666d755f0c632"></a>
<a class="el" href="enumtb.html#a3011cca5120a3684f55666d755f0c632">TB_PCS_RF1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4a4ac6aefc06364d0a69c40e93a1f98b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a4ac6aefc06364d0a69c40e93a1f98b"></a>
<a class="el" href="enumtb.html#a4a4ac6aefc06364d0a69c40e93a1f98b">TB_PCS_RF2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a54a5c7ec24e7cf0d6c622d9342aaaa9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54a5c7ec24e7cf0d6c622d9342aaaa9c"></a>
<a class="el" href="enumtb.html#a54a5c7ec24e7cf0d6c622d9342aaaa9c">TB_ISOLATE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ad9f4e1f60d26906039d38befc782f0c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9f4e1f60d26906039d38befc782f0c1"></a>
<a class="el" href="enumtb.html#ad9f4e1f60d26906039d38befc782f0c1">TB_SGMII_ENA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a11c1cd91658116ddc265f5a9724be6e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11c1cd91658116ddc265f5a9724be6e3"></a>
<a class="el" href="enumtb.html#a11c1cd91658116ddc265f5a9724be6e3">TB_SGMII_AUTO_CONF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a796afd38f6ce132d405d03f3b3c905aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a796afd38f6ce132d405d03f3b3c905aa"></a>
<a class="el" href="enumtb.html#a796afd38f6ce132d405d03f3b3c905aa">TB_SGMII_1000</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">TRUE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aa146fbfc4877d023a353a41b8830a394"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa146fbfc4877d023a353a41b8830a394"></a>
<a class="el" href="enumtb.html#aa146fbfc4877d023a353a41b8830a394">TB_SGMII_100</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a7c7805b5fbe499fd2218797046f8e9c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c7805b5fbe499fd2218797046f8e9c6"></a>
<a class="el" href="enumtb.html#a7c7805b5fbe499fd2218797046f8e9c6">TB_SGMII_10</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a858a039c538c59160b2f22a24c19c03d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a858a039c538c59160b2f22a24c19c03d"></a>
<a class="el" href="enumtb.html#a858a039c538c59160b2f22a24c19c03d">TB_SGMII_HD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">FALSE</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__tb_8v_source.html#l00045">45</a> of file <a class="el" href="tse__rgmii__tb_8v_source.html">tse_rgmii_tb.v</a>.</p>
</div><hr/>The documentation for this enum was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_verilog/tse_rgmii/<a class="el" href="tse__rgmii__tb_8v_source.html">tse_rgmii_tb.v</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/tse_rgmii/<a class="el" href="tse__rgmii__tb_8vhd_source.html">tse_rgmii_tb.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_verilog/WIB_TSE/<a class="el" href="WIB__TSE__tb_8v_source.html">WIB_TSE_tb.v</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/WIB_TSE/<a class="el" href="WIB__TSE__tb_8vhd_source.html">WIB_TSE_tb.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:35 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
